package com.dgt.graphdemo.jpa.entity;

import javax.persistence.*;
import java.util.List;
import java.util.Objects;

/**
 * @author lugela
 * @Title: SimilarTypeClaimnoEntity
 * @ProjectName graphdemo
 * @Description: TODO
 * @date 2019/6/24 12:23
 */
@Entity
@Table(name = "similar_type_claimno", schema = "graphtb", catalog = "")
public class SimilarTypeClaimnoEntity {
    private int id;
    private String claimno;
    private String historyClaimno;
    private String claimnoConclusion;
    private Integer similarFactorNum;
    private Float similarityFactor;
    private List<SimilarFactorEntity> similarFactorList;

    @Transient
    public List<SimilarFactorEntity> getSimilarFactorList() {
        return similarFactorList;
    }

    public void setSimilarFactorList(List<SimilarFactorEntity> similarFactorList) {
        this.similarFactorList = similarFactorList;
    }

    @Id
    @Column(name = "id", nullable = false)
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    @Basic
    @Column(name = "claimno", nullable = true, length = 18)
    public String getClaimno() {
        return claimno;
    }

    public void setClaimno(String claimno) {
        this.claimno = claimno;
    }

    @Basic
    @Column(name = "history_claimno", nullable = true, length = 100)
    public String getHistoryClaimno() {
        return historyClaimno;
    }

    public void setHistoryClaimno(String historyClaimno) {
        this.historyClaimno = historyClaimno;
    }

    @Basic
    @Column(name = "claimno_conclusion", nullable = true, length = 100)
    public String getClaimnoConclusion() {
        return claimnoConclusion;
    }

    public void setClaimnoConclusion(String claimnoConclusion) {
        this.claimnoConclusion = claimnoConclusion;
    }

    @Basic
    @Column(name = "similar_factor_num", nullable = true)
    public Integer getSimilarFactorNum() {
        return similarFactorNum;
    }

    public void setSimilarFactorNum(Integer similarFactorNum) {
        this.similarFactorNum = similarFactorNum;
    }

    @Basic
    @Column(name = "similarity_factor", nullable = true)
    public Float getSimilarityFactor() {
        return similarityFactor;
    }

    public void setSimilarityFactor(Float similarityFactor) {
        this.similarityFactor = similarityFactor;
    }


}
